UptimeUptime Wiki

Switch

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/network/switches/{id}

Code example

curl -X GET "https://example.com/api/v1/network/switches/0"

Response example

{  "id": 0,  "display_name": "string",  "display_name_plain": "string",  "role": "edge",  "rack_id": 0,  "az_id": 0,  "start_u": 0,  "u_size": 0,  "on_wall": true,  "on_shelf": true,  "sku_name": "string",  "port_count": 0,  "port_capacity_gbps": 0,  "uplink_capacity_gbps": 0,  "fabric_capacity_gbps": 0,  "egress_gbps": 0.1,  "ingress_gbps": 0.1,  "fabric_load_gbps": 0.1,  "saturated": true,  "fabric_saturated": true,  "broadcast_storm": true,  "indicator": "Off",  "ports": [    {      "index": 0,      "label": "string",      "link": "Down",      "active": true,      "cable_ids": [        0      ],      "peer": null,      "port_id": 0,      "state": "string",      "media": "string",      "gbps_tx": 0.1,      "gbps_rx": 0.1,      "link_capacity_gbps": 0,      "error_count": 0,      "bytes_egress_total": 0,      "bytes_ingress_total": 0,      "link_flaps": 0,      "cable_able": true,      "connector": "string",      "color": "string",      "breakout_used_gbps": 0,      "breakout_capacity_gbps": 0,      "breakout_leg_count": 0    }  ],  "inv_status": "string",  "age_hours": 0,  "power_on_hours": 0,  "condition_pct": 0,  "mtbf_hours": 0,  "resale_dollars": 0.1,  "monthly_opex_dollars": 0.1,  "powered": true,  "power_feeds": 0}

Response body

200The entity
application/json

On this page